Query Channel Users
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Channel ID to query users from
1 - 900Query Parameters
Role to filter
1 - 20 elements1 - 900Sort channel users by createdAt or updatedAt, default is lastCreated
lastCreated, firstCreated Member type to filter - member type: User is member of channel - banned type: User is banned member of channel - muted type: User is member of channel but isMuted is true
1 - 3 elementsmuted, banned, member Number of results per page (1-100)
1 <= x <= 100Pagination token for getting next/previous pages
1000Keyword to search for in user information such as displayName, profileHandle, and userId. The search is case-insensitive and supports partial matches.
10000Fields to search channel users for the keyword (up to 3 fields can be specified)
displayName - search by display name
profileHandle - search by profile handle
userId - search by user id
Default is all three fields
3displayName, profileHandle, userId filter deleted members if isDeleted is null, will return both deleted and non-deleted members